> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overlay.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Create token

> Creates a fungible token on the selected network.



## OpenAPI

````yaml /openapi.yaml post /tokens
openapi: 3.1.0
info:
  title: Overlay API
  version: 0.1.0
  description: API for issuing wallets, tokens, and NFTs on Solana and EVM networks.
servers:
  - url: https://overlay.fun
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: wallets
    x-group: Wallets
    description: Create and inspect wallets.
  - name: tokens
    x-group: Tokens
    description: Create and operate fungible tokens.
  - name: nfts
    x-group: NFTs
    description: Create NFT collections and mint NFTs.
paths:
  /tokens:
    post:
      tags:
        - tokens
      summary: Create token
      description: Creates a fungible token on the selected network.
      operationId: createToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenRequest'
            examples:
              solana:
                summary: Solana token
                value:
                  network: solana
                  name: newOVL
                  symbol: nOVL
                  description: this is test
                  image: https://overlay.fun/logo.png
                  amount: 1000000000
                  decimals: 9
                  website: https://overlay.fun
                  seller_fee: '3'
      responses:
        '200':
          description: Token created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenOperationResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    CreateTokenRequest:
      type: object
      required:
        - network
        - name
        - symbol
      properties:
        network:
          $ref: '#/components/schemas/Network'
        name:
          type: string
        symbol:
          type: string
        description:
          type: string
        image:
          type: string
          format: uri
        images:
          type: array
          items:
            type: string
            format: uri
        amount:
          oneOf:
            - type: number
            - type: string
          default: 1000000
        decimals:
          type: integer
        website:
          type: string
          format: uri
        seller_fee:
          oneOf:
            - type: number
            - type: string
          description: Percentage from 0 to 100.
        uploadMetadata:
          type: boolean
          default: true
        uploadImageToIPFS:
          type: boolean
          default: true
    TokenOperationResponse:
      allOf:
        - $ref: '#/components/schemas/ApiSuccess'
    Network:
      type: string
      enum:
        - solana
        - evm
        - ethereum
        - sepolia
        - base
        - polygon
        - bsc
        - monad
        - sei
        - blast
        - sonic
        - linea
        - scroll
        - mantle
        - zora
        - optimism
        - arbitrum
        - avalanche
        - boba
        - metis
        - bera
        - celo
    ApiSuccess:
      type: object
      required:
        - success
        - data
        - message
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          additionalProperties: true
        message:
          type: string
    ApiError:
      type: object
      required:
        - success
        - message
        - error
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
        error:
          type: string
        timestamp:
          type: string
          format: date-time
  responses:
    BadRequest:
      description: Invalid request body or parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          examples:
            badRequest:
              value:
                success: false
                message: Invalid request body.
                error: Bad request
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          examples:
            invalidApiKey:
              value:
                success: false
                message: Invalid api-key
                error: Unauthorized
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      x-default: ovl_your_api_key_here

````